For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
      • POSTSets agent's status to online for 2-3 minutes
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
ConversationsStatus

Sets agent’s status to online for 2-3 minutes

POST
https://api.brevo.com/v3/conversations/agentOnlinePing
POST
/v3/conversations/agentOnlinePing
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.conversations.setsAgentsStatusToOnlineFor23Minutes({
8 agentId: "d9nKoegKSjmCtyK78",
9 });
10}
11main();
1{}

Sets the agent’s status to online for 2-3 minutes. We recommend pinging this endpoint every minute for as long as the agent has to be considered online. You must provide either agentId alone, or all three of agentEmail + agentName + receivedFrom.

Was this page helpful?
Previous

Set visitor group assignment

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Request

This endpoint expects an object.
agentEmailstringOptionalformat: "email"

Agent’s email address. When sending online pings from a standalone system, it’s hard to maintain a 1-to-1 relationship between the users of both systems. In this case, an agent can be specified by their email address. If there’s no agent with the specified email address in your Brevo organization, a dummy agent will be created automatically.

agentIdstringOptional

Agent ID. It can be found on the agent’s page or received from a webhook. Alternatively, you can use agentEmail + agentName + receivedFrom instead (all 3 fields required).

agentNamestringOptional
Agent's name.
receivedFromstringOptional
Mark your messages to distinguish messages created by you from the others.

Response

Status of the agent was set successfully. Response body will be empty.

Errors

400
Bad Request Error